Summary:	XFree86-Misc extension headers
Summary(pl.UTF-8):	Pliki nagłówkowe rozszerzenia XFree86-Misc
Name:		xorg-proto-xf86miscproto
Version:	0.9.3
Release:	2
License:	MIT
Group:		X11/Development/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/proto/xf86miscproto-%{version}.tar.bz2
# Source0-md5:	ca63bbb31cf5b7f37b2237e923ff257a
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	xorg-util-util-macros >= 1.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package includes the protocol definitions of the "XFree86-Misc"
extension to the X11 protocol. The "XFree86-Misc" extension is
supported by the XFree86 X server and versions of the Xorg X server
prior to Xorg 1.6.

%description -l pl.UTF-8
Ten pakiet zawiera definicje protokołu rozszerzenia "XFree86-Misc"
do protokołu X11. Rozszerzenie to jest obsługiwane przez serwer X
XFree86 oraz serwer X Xorg w wersji wcześniejszej niż Xorg 1.6.

%package devel
Summary:	XFree86-Misc extension headers
Summary(pl.UTF-8):	Pliki nagłówkowe rozszerzenia XFree86-Misc
Group:		X11/Development/Libraries
Requires:	xorg-proto-xproto-devel

%description devel
This package includes the protocol definitions of the "XFree86-Misc"
extension to the X11 protocol. The "XFree86-Misc" extension is
supported by the XFree86 X server and versions of the Xorg X server
prior to Xorg 1.6.

%description devel -l pl.UTF-8
Ten pakiet zawiera definicje protokołu rozszerzenia "XFree86-Misc"
do protokołu X11. Rozszerzenie to jest obsługiwane przez serwer X
XFree86 oraz serwer X Xorg w wersji wcześniejszej niż Xorg 1.6.

%prep
%setup -q -n xf86miscproto-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%{_includedir}/X11/extensions/xf86mscstr.h
%{_includedir}/X11/extensions/xf86misc.h
%{_pkgconfigdir}/xf86miscproto.pc
%changelog
* Wed Feb 25 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-proto-xf86miscproto.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 17fbffa
- x32 rebuild
- release 2 (by relup.sh)

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 0b39996
- dropped pre-cvs changelog

* Sun Oct 11 2009 Jakub Bogusz <qboosh@pld-linux.org> 307a9e0
- util-macros version
- added README to doc, more verbose files and descs

* Sun Oct 11 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> d7c0256
- up to 0.9.3

* Fri Sep 04 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> a0ca673
- individual url

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 8f55df7
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 8d21d32
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2513d0b
- converted to UTF-8

* Fri Feb 03 2006 Paweł Sikora <pluto@pld-linux.org> f0e3e14
- release 1.

* Fri Dec 23 2005 Jakub Bogusz <qboosh@pld-linux.org> 655d7ea
- sources from X11R7.0 release

* Tue Dec 20 2005 Jakub Bogusz <qboosh@pld-linux.org> 4ebaa62
- 0.9.2 (X11R7.0-RC4)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 6bc870c
- pkgconfig epoch

* Thu Oct 20 2005 Jakub Bogusz <qboosh@pld-linux.org> 3ee2742
- BR: autoconf >= 2.57

* Thu Oct 20 2005 Jakub Bogusz <qboosh@pld-linux.org> 69cbe8e
- 0.9.1 (X11R7.0-RC1)

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> dd30f55
- kill /usr/X11R6

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 6a9e9ec
- s/pkg-config/pkgconfig/ in BR:

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 05bc754
- cleanups

* Mon Aug 15 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 0f652fe
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

